Subject: bug#14776: 24.3.50; [PATCH] parse-time-string performance

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 01 Mar 2016 12:05:34 +1100

Lars Magne Ingebrigtsen <[email-masked]> writes:

>> Anyway here is an updated version, incorporating 2-digit years and
>> textual timezones.
>
> Looks good.

I did some further tests (after the version of parse-time-string on the
Emacs trunk had been ... fixed), and the regexp version is still 3x
faster (down from 10x).

It is, though, a stricter RFC2822 parser than the version we currently
have, so it fails on some of the test cases (dates without times, for
instance).  So I'm still not sure whether this is a suitable replacement
for parse-time-string.  And it seems odd to have two completely
different functions that almost parse the same thing...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no